/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * @author obper
 */
@Entity
@Table(name = "vEtiquetas")
@XmlRootElement
@NamedQueries({
        @NamedQuery(name = "VEtiquetas.findAll", query = "SELECT v FROM VEtiquetas v"),
        @NamedQuery(name = "VEtiquetas.findByConsultorCodigo", query = "SELECT v FROM VEtiquetas v WHERE v.consultorCodigo = :consultorCodigo"),
        @NamedQuery(name = "VEtiquetas.findByTerritorioCodigo", query = "SELECT v FROM VEtiquetas v WHERE v.territorioCodigo = :territorioCodigo"),
        @NamedQuery(name = "VEtiquetas.findByMunicipioCodigo", query = "SELECT v FROM VEtiquetas v WHERE v.municipioCodigo = :municipioCodigo"),
        @NamedQuery(name = "VEtiquetas.findByTelefono", query = "SELECT v FROM VEtiquetas v WHERE v.telefono = :telefono"),
        @NamedQuery(name = "VEtiquetas.findByColor", query = "SELECT v FROM VEtiquetas v WHERE v.color = :color"),
        @NamedQuery(name = "VEtiquetas.findByCelular", query = "SELECT v FROM VEtiquetas v WHERE v.celular = :celular"),
        @NamedQuery(name = "VEtiquetas.findByZonac", query = "SELECT v FROM VEtiquetas v WHERE v.zonac = :zonac"),
        @NamedQuery(name = "VEtiquetas.findByNombres", query = "SELECT v FROM VEtiquetas v WHERE v.nombres = :nombres"),
        @NamedQuery(name = "VEtiquetas.findByDireccion", query = "SELECT v FROM VEtiquetas v WHERE v.direccion = :direccion")})
public class VEtiquetas implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 6)
    @Column(name = "consultor_codigo")
    private String consultorCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 2)
    @Column(name = "territorio_codigo")
    private String territorioCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 4)
    @Column(name = "municipio_codigo")
    private String municipioCodigo;
    @Size(max = 9)
    @Column(name = "telefono")
    private String telefono;
    @Size(max = 10)
    @Column(name = "color")
    private String color;
    @Size(max = 9)
    @Column(name = "celular")
    private String celular;
    @Size(max = 50)
    @Column(name = "zonac")
    private String zonac;
    @Size(max = 100)
    @Column(name = "nombres")
    private String nombres;
    @Size(max = 150)
    @Column(name = "direccion")
    private String direccion;

    public VEtiquetas() {
    }

    public String getConsultorCodigo() {
        return consultorCodigo;
    }

    public void setConsultorCodigo(String consultorCodigo) {
        this.consultorCodigo = consultorCodigo;
    }

    public String getTerritorioCodigo() {
        return territorioCodigo;
    }

    public void setTerritorioCodigo(String territorioCodigo) {
        this.territorioCodigo = territorioCodigo;
    }

    public String getMunicipioCodigo() {
        return municipioCodigo;
    }

    public void setMunicipioCodigo(String municipioCodigo) {
        this.municipioCodigo = municipioCodigo;
    }

    public String getTelefono() {
        return telefono;
    }

    public void setTelefono(String telefono) {
        this.telefono = telefono;
    }

    public String getColor() {
        return color;
    }

    public void setColor(String color) {
        this.color = color;
    }

    public String getCelular() {
        return celular;
    }

    public void setCelular(String celular) {
        this.celular = celular;
    }

    public String getZonac() {
        return zonac;
    }

    public void setZonac(String zonac) {
        this.zonac = zonac;
    }

    public String getNombres() {
        return nombres;
    }

    public void setNombres(String nombres) {
        this.nombres = nombres;
    }

    public String getDireccion() {
        return direccion;
    }

    public void setDireccion(String direccion) {
        this.direccion = direccion;
    }

}
